PHP 手冊
前一頁 |  | 下一頁

# DOMImplementation->hasFeature()

DOMImplementation->hasFeature() -- Test if the DOM implementation implements a specific feature

## Description

class DOMImplementation {
bool hasFeature ( string feature, string version )
}

Test if the DOM implementation implements a specific feature.

You can find a list of all features in the Conformance section of the DOM specification.

## Parameters

feature

  The feature to test.

version

  The version number of the feature to test. In level 2, this can be either 2.0 or 1.0.

## Return Values

成功回傳`TRUE`失敗回傳`FALSE`。

## 範例

範例 1. Testing your DOM Implementation

`<?php
$features = array(
'Core' => 'Core module',
'XML' => 'XML module',
'HTML' => 'HTML module',
'Views' => 'Views module',
'Stylesheets' => 'Style Sheets module',
'CSS' => 'CSS module',
'CSS2' => 'CSS2 module',
'Events' => 'Events module',
'UIEvents' => 'User interface Events module',
'MouseEvents' => 'Mouse Events module',
'MutationEvents' => 'Mutation Events module',
'HTMLEvents' => 'HTML Events module',
'Range' => 'Range module',
'Traversal' => 'Traversal module'
);
foreach ($features as $key => $name) {
if (DOMImplementation::hasFeature($key, '2.0')) {
echo "Has feature $name\n";
} else {
echo "Missing feature $name\n";
}
}
?>`

## 參考

DOMNode->isSupported()

前一頁 | 內容 | 下一頁
DOMImplementation->createDocumentType() | 上一層 | DOMNamedNodeMap->getNamedItem()